Subject: bug#25276: 11.89.8; xetex engine not work when master filename contains space

From: Mosè Giordano <[email-masked]>
Date: Tue, 27 Dec 2016 11:50:25 +0100

Hi Arash,

> As a test, at a command prompt I can do
>
>     xelatex -interaction=nonstopmode "\input" "foo bar.tex"
>
> and it works, but
>
>     xelatex -interaction=nonstopmode "\input" '"foo bar.tex"'
>
> exits with:
>
>     This is XeTeX, Version 3.14159265-2.6-0.99996 (TeX Live 2016/W32TeX) (preloaded format=xelatex)
>      restricted \write18 enabled.
>     entering extended mode
>     LaTeX2e <2016/03/31> patch level 3
>     Babel <3.9r> and hyphenation patterns for 67 language(s) loaded.
>     ! I can't find file `'"foo bar.tex"''.
>     <*> \input '"foo bar.tex"'
>
>     (Press Enter to retry, or Control-Z to exit)
>     Please type another input file name
>     ! Emergency stop.
>     <*> \input '"foo bar.tex"'
>
> Does this help?
>
> Best, Arash
>

Not really, because it's seems logic to me that

    '"foo bar.tex"'

isn't the intended file name.

The problem is correctly quoting the file name on Windows.
(shell-quote-argument (TeX-master-file)) doesn't seem to do the right
thing on Windows.  I don't know the details of quoting on Windows in
general, and of Emacs on Windows in particular.  You may try poking
help-gnu-emacs or emacs-devel to get advices on this.

Bye,
Mosè